\documentclass[a4paper, onesided,11pt,openany]{amsbook}


\usepackage{packages/generalpackages}

%title of the document
\title{Algebra 1\\\vspace{.25cm}\small Introduction to Commutative Algebra\\ \vspace{.5cm}\large \normalfont \textit{Lecture Notes, Summer 2019}}

\usepackage{packages/generalstyles}

\usepackage{packages/theoremstyles}

\usepackage{packages/mathsymbols}



\begin{document}
\maketitle
\tableofcontents
\input{generalpurpose/intro}
\input{lectures/1}
\input{lectures/2}
\input{lectures/3}
\input{lectures/4}
\input{lectures/5}
\input{lectures/6}
\input{lectures/7}
\input{lectures/8}
\input{lectures/9}
\input{lectures/10}
\input{lectures/11}
\input{lectures/12}
\input{lectures/13}
\input{lectures/14}
\input{lectures/15}
\input{lectures/16}
\input{lectures/17}
\input{lectures/18}
\input{lectures/19}
\input{lectures/20}
\input{lectures/21}
\input{lectures/22}
\input{lectures/23}
\appendix
\input{appendix/rings}
\input{appendix/categories}
%\input{appendix/modules_additions}
\bibliography{generalpurpose/lit}
\printindex
\end{document}
